import { AfterContentInit, QueryList, ViewContainerRef, OnDestroy, EventEmitter } from '@angular/core';
import { MdbLightboxItemDirective } from './lightbox-item.directive';
import { Overlay } from '@angular/cdk/overlay';
import * as i0 from "@angular/core";
export declare class MdbLightboxComponent implements AfterContentInit, OnDestroy {
    private _overlay;
    private _vcr;
    zoomLevel: number;
    fontAwesome: string;
    lightboxOpen: EventEmitter<void>;
    lightboxOpened: EventEmitter<void>;
    lightboxSlide: EventEmitter<void>;
    lightboxSlided: EventEmitter<void>;
    lightboxZoomIn: EventEmitter<void>;
    lightboxZoomedIn: EventEmitter<void>;
    lightboxZoomOut: EventEmitter<void>;
    lightboxZoomedOut: EventEmitter<void>;
    lightboxClose: EventEmitter<void>;
    lightboxClosed: EventEmitter<void>;
    lightboxItems: QueryList<MdbLightboxItemDirective>;
    private _destroy$;
    private _contentRef;
    private _overlayRef;
    private _portal;
    constructor(_overlay: Overlay, _vcr: ViewContainerRef);
    ngAfterContentInit(): void;
    private _patchInputValues;
    open(lightboxItem: MdbLightboxItemDirective): void;
    close(): void;
    slide(direction: 'right' | 'left' | 'first' | 'last'): void;
    zoomIn(): void;
    zoomOut(): void;
    toggleFullscreen(): void;
    reset(): void;
    private _getOverlayConfig;
    private _destroyOverlay;
    private _listenToOutsideClick;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdbLightboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MdbLightboxComponent, "mdb-lightbox", never, { "zoomLevel": "zoomLevel"; "fontAwesome": "fontAwesome"; }, { "lightboxOpen": "lightboxOpen"; "lightboxOpened": "lightboxOpened"; "lightboxSlide": "lightboxSlide"; "lightboxSlided": "lightboxSlided"; "lightboxZoomIn": "lightboxZoomIn"; "lightboxZoomedIn": "lightboxZoomedIn"; "lightboxZoomOut": "lightboxZoomOut"; "lightboxZoomedOut": "lightboxZoomedOut"; "lightboxClose": "lightboxClose"; "lightboxClosed": "lightboxClosed"; }, ["lightboxItems"], ["*"]>;
}
