import { AfterContentInit, ElementRef, EventEmitter, NgZone, OnDestroy, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
import { MdbStickyPosition, MdbStickyDirection } from './sticky.types';
import * as i0 from "@angular/core";
export declare class MdbStickyDirective implements AfterContentInit, OnDestroy {
    private _elementRef;
    private _renderer;
    private _ngZone;
    get stickyMedia(): number;
    set stickyMedia(value: number);
    get stickyDirection(): MdbStickyDirection;
    set stickyDirection(value: MdbStickyDirection);
    get stickyDelay(): number;
    set stickyDelay(value: number);
    get stickyPosition(): MdbStickyPosition;
    set stickyPosition(value: MdbStickyPosition);
    get stickyActiveClass(): string;
    set stickyActiveClass(value: string);
    get stickyOffset(): number;
    set stickyOffset(value: number);
    get stickyBoundary(): HTMLElement;
    set stickyBoundary(value: HTMLElement);
    active: EventEmitter<void>;
    inactive: EventEmitter<void>;
    startInactive: EventEmitter<void>;
    private _stickyMedia;
    private _manuallyDeactivated;
    private _stickyDirection;
    private _stickyDelay;
    private _stickyPosition;
    private _stickyActiveClass;
    private _stickyOffset;
    private _stickyBoundary;
    private _scrollDirection;
    private _pushPoint;
    private _elementPositionStyles;
    private _scrollTop;
    private _hiddenElement;
    private _elementOffsetTop;
    isSticked: boolean;
    readonly _destroy$: Subject<void>;
    constructor(_elementRef: ElementRef, _renderer: Renderer2, _ngZone: NgZone);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    private _updateElementOffset;
    private _updatePushPoint;
    private _updateScrollDirection;
    private _createHiddenElement;
    private _copyElement;
    private _setStyle;
    private _enableSticky;
    private _toggleClass;
    private _changeBoundaryPosition;
    private _getOffset;
    private _disableSticky;
    private _resetStyles;
    private _removeHiddenElement;
    private _updatePosition;
    private _updateElementPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<MdbStickyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MdbStickyDirective, "[mdbSticky]", ["mdbSticky"], { "stickyMedia": "stickyMedia"; "stickyDirection": "stickyDirection"; "stickyDelay": "stickyDelay"; "stickyPosition": "stickyPosition"; "stickyActiveClass": "stickyActiveClass"; "stickyOffset": "stickyOffset"; "stickyBoundary": "stickyBoundary"; }, { "active": "active"; "inactive": "inactive"; "startInactive": "startInactive"; }, never>;
}
